<div align="center">

<img
    src="https://raw.githubusercontent.com/Hawmex/dawn/main/example/web/assets/title.svg"
    width="192px"
/>

**A fast, light-weight, and familiar Dart web framework.**

[ [Official website](https://dawn-dev.netlify.app) | [Pub page](https://pub.dev/packages/dawn) ]

</div>

---

# Dawn 6.0

Dawn is a Dart web framework that lets developers create UIs with a widget
model similar to Flutter. Dawn apps are compiled into JS and painted with HTML
& CSS.

- [Official website →](https://dawn-dev.netlify.app)
- [API reference →](https://pub.dev/documentation/dawn)

## Features

- A widget model similar to Flutter
- Essential and unstyled widgets
- Styles
- Animations
- Extensibility
- JavaScript interop
- CLI

## Install

```
dart pub global activate webdev
```

```
dart pub global activate dawn
```

[ [Read more →](https://dawn-dev.netlify.app) ]

## Get Started

```
dawn create my_first_dawn_app
```

```
cd my_first_dawn_app
```

```
webdev serve
```

[ [Read more →](https://dawn-dev.netlify.app) ]

## Features + Cookbook

[ [Visit the official website →](https://dawn-dev.netlify.app) ]

## Support Dawn

[ [Donate to Dawn →](https://dawn-dev.netlify.app) ]

## List Of Widgets

<details>

<summary>
Show / Hide
</summary>

- `InheritedWidget`
- `StatelessWidget`
- `StatelessBuilder`
- `StatefulWidget`
- `StatefulBuilder`
- `FutureBuilder`
- `StreamBuilder`
- `ConsumerBuilder`
- `Provider`
- `Navigator`
- `Text`
- `Image`
- `Container`

</details>

---

<div align="center">

**Please Share!**

</div>
